# coding: utf-8

from sqlalchemy import (
    MetaData, String, Table, Column, Integer, DateTime, Enum, UnicodeText)

from tionix_vdi_server.requests.constants import RequestStatus


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    requests = Table(
        'requests', meta,
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('id', Integer, primary_key=True),

        Column('username', String(64), nullable=False),
        Column('user_id', String(64), nullable=False),
        Column('project_id', String(64), nullable=False),
        Column('request_id', String(64), nullable=False),
        Column('completed_at', DateTime, nullable=True),

        Column('instance_id', String(64), nullable=True),
        Column('vm_ip', String(64), nullable=True),
        Column('status', Enum(*RequestStatus.values), nullable=False,
               default=RequestStatus.PROCESS),
        Column('result', UnicodeText(), nullable=True),
        mysql_charset='utf8'
    )
    requests.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    requests = Table('requests', meta, autoload=True)
    requests.drop()
