# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, Integer

DEFAULT_LATENCY = 60


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tenants_table = Table('tenants', meta, autoload=True)
    tenants_table.c.latency.drop()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tenants_table = Table('tenants', meta, autoload=True)
    latency = Column('latency', Integer, default=DEFAULT_LATENCY)
    tenants_table.create_column(latency)
