# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers = Table('servers', meta, autoload=True)
    last_session = Column('last_session_id', String(64), nullable=True)
    servers.create_column(last_session)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers = Table('servers', meta, autoload=True)
    servers.c.last_session.drop()
