# coding: utf-8
# pylint: disable=no-member

from tionix_vdi_server.requests.constants import RequestStatus

from sqlalchemy import MetaData, Table, Column, String, Enum


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    requests = Table('requests', meta, autoload=True)
    task_id = Column('task_id', String(255), nullable=True)
    requests.create_column(task_id)

    requests.c.status.alter(
        Column('status', Enum(*RequestStatus.values), nullable=False,
               default=RequestStatus.PENDING))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    requests = Table('requests', meta, autoload=True)
    requests.c.task_id.drop()
