# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers_table = Table('servers', meta, autoload=True)

    security_group = Column('associated_security_group_id', String(36),
                            nullable=True)
    servers_table.create_column(security_group)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers_table = Table('servers', meta, autoload=True)
    servers_table.drop_column('associated_security_group_id')
