# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, UnicodeText


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    requests = Table('requests', meta, autoload=True)
    requests.create_column(Column('extra', UnicodeText, nullable=True))

    shadow_requests = Table('shadow_requests', meta, autoload=True)
    shadow_requests.create_column(Column('extra', UnicodeText, nullable=True))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    requests = Table('requests', meta, autoload=True)
    requests.c.extra.drop()

    shadow_requests = Table('shadow_requests', meta, autoload=True)
    shadow_requests.c.extra.drop()
